Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.osgi
Class BundleContextSelector

    java.lang.Object
      org.apache.logging.log4j.core.selector.ClassLoaderContextSelector
          org.apache.logging.log4j.core.osgi.BundleContextSelector

All Implemented Interfaces:
  ContextSelector

    public class BundleContextSelector

extends ClassLoaderContextSelector
implements ContextSelector

ContextSelector for OSGi bundles. This ContextSelector works rather similarly to the `ClassLoaderContextSelector`, but instead of each ClassLoader having its own LoggerContext (like in a servlet container), each OSGi bundle has its own LoggerContext.

Since:
  2.1

Field Summary

Fields inherited from class org.apache.logging.log4j.core.selector.ClassLoaderContextSelector
`CONTEXT_MAP, LOGGER`

Constructor Summary
`BundleContextSelector()`

Method Summary
`LoggerContext` | `getContext(String fqcn, ClassLoader loader, boolean currentContext, URI configLocation)` Returns the LoggerContext.

Methods inherited from class org.apache.logging.log4j.core.selector.ClassLoaderContextSelector
`getContext, getDefault, getLoggerContexts, removeContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.logging.log4j.core.selector.ContextSelector
`getContext, getLoggerContexts, removeContext`

Constructor Detail

### BundleContextSelector

    public BundleContextSelector()

Method Detail

### getContext

    public LoggerContext getContext(String fqcn,
                                    ClassLoader loader,
                                    boolean currentContext,
                                    URI configLocation)

  Description copied from interface: `ContextSelector`
  Returns the LoggerContext.

  Specified by:
    `getContext` in interface `ContextSelector`
  Overrides:
    `getContext` in class `ClassLoaderContextSelector`
  Parameters:
    `fqcn` - The fully qualified class name of the caller.
    `loader` - ClassLoader to use or null.
    `currentContext` - If true returns the current Context, if false returns the Context appropriate for the caller if a more appropriate Context can be determined.
    `configLocation` - The location of the configuration for the LoggerContext.
  Returns:
    The LoggerContext.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.